8 Replies Latest reply on Feb 2, 2010 11:41 AM by Jigar Joshi

    Is it possible to deploy jsf 1.2 or 1.1 application in jboss 4.0.2 ?

    Jigar Joshi Newbie

      Is it possible to deploy jsf 1.2 or 1.1 application in jboss 4.0.2 ?

       

      i am trying to deploy sample hello world application in jboss 4.0.2 ..

      but after a day of work still i am facing deployment exceptions.

       

      then i read,

       

      The JSF specification was developed under the Java Community Process (JCP) as JSR 127, which released JSF 1.0 and 1.1, and JSR 252 which released JSF 1.2. The first release of JSF is JSF 1.0 in 2004. JSF 1.0 supports servlet 2.3 and jsp 1.2. After JSF 1.0, JSF 1.1 was released. The main purpose of this release was bug-fixing. There were no specification or HTML renderkit changes. This version also works with same version of servlet 2.3 and jsp 1.2 as in the case of JSF 1.0

       

      and following this link i got tomcat version on jboss4.0.2 doesn't supports jsf'sservlet specifications,

       

       

      http://community.jboss.org/wiki/VersionOfTomcatInJBossAS

       

       

      so is there any way around ?

      in any case i can't upgrade my jboss

      so is there any way, can i configure tomcat 6 with jboss 4.0.2 ?

       

      Thanks in advance..